Bug 614048 - [abrt] crash in gedit-1:2.30.2-1.fc13: editor.py:350:__parse:IOError: [Errno 2] Datei oder Verzeichnis nicht gefunden: ''
[abrt] crash in gedit-1:2.30.2-1.fc13: editor.py:350:__parse:IOError: [Errno ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:adac6ca4
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-13 11:12 EDT by DanielH1987
Modified: 2011-06-29 09:36 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:36:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.02 KB, text/plain)
2010-07-13 11:12 EDT, DanielH1987
no flags Details

  None (edit)
Description DanielH1987 2010-07-13 11:12:38 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: gedit /home/daniel/FH/LoroDux/docs/Gliederung
component: gedit
executable: /usr/lib64/gedit-2/plugins
kernel: 2.6.33.6-147.fc13.x86_64
package: gedit-1:2.30.2-1.fc13
reason: editor.py:350:__parse:IOError: [Errno 2] Datei oder Verzeichnis nicht gefunden: ''
release: Fedora release 13 (Goddard)

backtrace
-----
editor.py:350:__parse:IOError: [Errno 2] Datei oder Verzeichnis nicht gefunden: ''

Traceback (most recent call last):
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/base/decorators.py", line 735, in _on_load
    self._adjust_editor()
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/base/decorators.py", line 794, in _adjust_editor
    editor_class.__init__(self._editor, self, file)
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/base/__init__.py", line 428, in __init__
    self.init(file, self._window_context)
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/latex/editor.py", line 111, in init
    self.__parse()
  File "/usr/lib64/gedit-2/plugins/GeditLaTeXPlugin/src/latex/editor.py", line 350, in __parse
    master_content = open(master_file.path).read()
IOError: [Errno 2] Datei oder Verzeichnis nicht gefunden: ''

Local variables in innermost frame:
self: <GeditLaTeXPlugin.src.latex.editor.LaTeXEditor object at 0x3822410>
master_file: <GeditLaTeXPlugin.src.base.File object at 0x42b7e10>
t: 178.87

How to reproduce
-----
1. New LaTeX document
2. all settings default
3. selected master tex document
4. crash
Comment 1 DanielH1987 2010-07-13 11:12:40 EDT
Created attachment 431491 [details]
File: backtrace
Comment 2 DanielH1987 2010-07-17 16:15:39 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. opend empty *.tex file
2. choose master-tex file
3. crash
Comment 3 jendrik 2010-07-29 03:45:42 EDT
Package: gedit-1:2.28.3-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Open a master file that do not exist.
2.
3.


Comment
-----
The link of the master latex file is broken, i think.
Comment 4 Fabian Deutsch 2010-08-09 09:35:04 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Well, I provided a master document and pressed OK
Comment 5 Kvikende 2010-10-18 08:34:11 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Tried to make a document within a directory with spaces in the name a master document
Comment 6 Sebastián García 2010-11-05 23:59:57 EDT
Package: gedit-1:2.30.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Opened .tex file (latex) to edit
2.Selected master document in the popup
3.All work's fine but the crash report tool prompted the crash.
Comment 7 Einar Uvsløkk 2010-12-04 17:47:38 EST
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Create a new .tex file
2. Open it for the first time in Gedit (with Latex plugin)
3. Chose master file when prompted


Comment
-----
Crash occurs every time I open a .tex file for the first time. Gedit still works, and I'm able to work with the Latex plugin simply by closing and open the file again. Just thought I should file this bug as they happen quite frequently.
Comment 8 Bug Zapper 2011-06-01 10:02:55 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Thomas Ohse 2011-06-02 08:20:55 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Latex-MAsterdokument festgelegt.
2.
3.
Comment 10 Thomas Ohse 2011-06-06 03:06:38 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Latex-Mastedokument für eine neue LaTex-Datei
2.
3.
Comment 11 Thomas Ohse 2011-06-22 05:01:04 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Latex-Mastedokument fuer eine LaTex-Datei festlegen
2.
3.
Comment 12 Bug Zapper 2011-06-29 09:36:07 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.